# Uses of Enum
org.eclipse.birt.chart.model.attribute.MenuStylesKeyType

Packages that use MenuStylesKeyType
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of MenuStylesKeyType in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type MenuStylesKeyType
Modifier and Type
Field
Description
`static final List<MenuStylesKeyType>`
MenuStylesKeyType.`VALUES`
A public read-only list of all the 'Menu Styles Key Type' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return MenuStylesKeyType
Modifier and Type
Method
Description
`static MenuStylesKeyType`
MenuStylesKeyType.`get(int value)`
Returns the 'Menu Styles Key Type' literal with the specified integer value.
`static MenuStylesKeyType`
MenuStylesKeyType.`get(String literal)`
Returns the 'Menu Styles Key Type' literal with the specified literal value.
`static MenuStylesKeyType`
MenuStylesKeyType.`getByName(String name)`
Returns the 'Menu Styles Key Type' literal with the specified name.
`static MenuStylesKeyType`
MenuStylesKeyType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MenuStylesKeyType[]`
MenuStylesKeyType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of MenuStylesKeyType in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return MenuStylesKeyType
Modifier and Type
Method
Description
`MenuStylesKeyType`
AttributeFactoryImpl.`createMenuStylesKeyTypeFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`MenuStylesKeyType`
AttributeFactoryImpl.`createMenuStylesKeyTypeObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`